/* intrac: cernlib version of !!isatty()
    Copyright (C) 2011  Bastien ROUCARIÈS

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/
#include "config.h"

#include <stdbool.h>
#include <unistd.h>

#include <cfortran/cfortran.h>

/* C linkingage intract */
static bool cintrac(void)
{
  return !!isatty(0);
}

/* hidden symbol used on minuit */
__attribute__((visibility("hidden"))) FCALLSCFUN0(INT,cintrac,INTRAC,intrac) ;

